#ifndef FunctionImplementationH
#define FunctionImplementationH

#include "util/Pointers.h"

class FunctionImplementation
{
public:
    virtual DataTablePtr execute(Context* con, FunctionDefinitionPtr def, CallerControllerPtr caller, RequestControllerPtr request, DataTablePtr parameters) = 0;
    virtual bool equals(FunctionImplementation* other) = 0;
};
#endif
